Page MenuHomePhabricator

add mechanism of find(previous/next) by name of event
ClosedPublic

Authored by i.furs on Oct 10 2017, 7:38 AM.

Details

Summary

for dialog 'Find event' added mechanism of find(previous/next) by name of event
@feature

Diff Detail

Branch
devs/ifurs/findevent
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 4832
Build 5044: arc lint + arc unit
There are a very large number of changes, so older changes are hidden. Show Older Changes
  1. Open log in master branch
  2. Select event.
  3. Zoom out (ctrl+ mouse wheel)

Result: Selected event still selected.

NikaWhite requested changes to this revision.Oct 18 2017, 2:01 AM
NikaWhite added inline comments.
src/lib/find.c
17

There is nothing about lists. So why this function called _event_list_name_find?

102

useless

116

Why continue used here?

159

what is this?!

188

static functions should begin with _ symbol

src/lib/interval_fill.c
534

why do not to move this to the line 578.

_grid_info_save(thd, task->common.grid.y, STATE_EVENT, event);
796

move this inside single_fill function body.
Possible to the line 244 or so

955

@Deepwarrior please look at those signals and make decision, does all of them so necessary?

src/lib/ui.c
1907

I think this is already used

2006

What?

This revision now requires changes to proceed.Oct 18 2017, 2:01 AM
i.furs updated this revision to Diff 12620.Oct 18 2017, 4:18 AM
This comment was removed by i.furs.
i.furs updated this revision to Diff 12621.Oct 18 2017, 4:20 AM

fix: save to select time for zoom
fix: name statin function; variable not need; the function name does not match its execution
move to run function _grid_info_save for SINGLE_EVENT/STATE_EVENT

Deepwarrior requested changes to this revision.Oct 18 2017, 9:33 AM

After selecting event by mouse, end_time and duration for this event isn't displayed.

src/lib/find.c
3

Unused header.

232

mem leak

239

Callback added but not used.

src/lib/interval_fill.c
56

This signal used only in this module.
Why used callback instead direct function call?

908

Why EINA_UNUSED?

916

Not done.

955

As for me will be clear, if use calloc(1, sizeof(Eina_List *)) here.

961

callback added in init and wasn't deleted in shutdown.

962

Callback created and never called.

src/lib/interval_fill.h
47 ↗(On Diff #12621)

Not related to commit.

src/lib/ui.c
98

This indentation looks different from other in this struct.
Looks like name was saved and unused.

99

Unused

100

Unused

814

unrequired.

1231

Better free grids_info_list content inside callback on "interval,fil" signal in interval_fill module, because this struct created and filled there.
Also it's possible to use static function instead signal.

1916

Why required pointer to pointer?
Looks like needed just pointer to Event_Offsets

1919

may be used as constant value.

1948

Delete and recreate?
Looks unuseful.

1973
Hint: if add this code, found event will be selected:
char buf[STRING_LENGTH];
snprintf(buf, STRING_LENGTH, "%li %li", (*event)->offset_start, (*event)->offset_finish);
evas_object_name_set(highlighted_event, buf);
This revision now requires changes to proceed.Oct 18 2017, 9:33 AM
i.furs updated this revision to Diff 12626.Oct 18 2017, 11:00 AM
i.furs marked 12 inline comments as done.
This comment was removed by i.furs.
i.furs updated this revision to Diff 12627.EditedOct 18 2017, 11:03 AM
  • update 1/2
i.furs updated this revision to Diff 12643.Oct 20 2017, 8:42 AM
i.furs marked 8 inline comments as done.
  • fix not correct to initializate object
  • change architecture single to hash
i.furs updated this revision to Diff 12644.Oct 20 2017, 8:44 AM
This comment was removed by i.furs.
i.furs updated this revision to Diff 12645.Oct 20 2017, 8:46 AM
  • fix not correct to initializate object
  • change architecture single to hash
NikaWhite requested changes to this revision.Oct 22 2017, 11:41 PM

Just one remark. After it would be fixed I would like to land this patch into @i.furs branch.

src/lib/ui.c
2142

still not deleted inside shutdown procedure.

This revision now requires changes to proceed.Oct 22 2017, 11:41 PM
i.furs updated this revision to Diff 12653.Oct 23 2017, 2:23 AM
i.furs marked 15 inline comments as done.
  • change Event_Offsets ** to Event_Offsets *
  • delete current_name in struct
  • delete inside shutdown procedure.
i.furs updated this revision to Diff 12678.Oct 24 2017, 1:28 AM
i.furs marked 4 inline comments as done.
  • fix to draw highlighted_event for found event
  • checking used highlighted_event
NikaWhite accepted this revision.Oct 24 2017, 1:55 AM

I am ready to land it into devs/ifurs/findevent branch
Need review from @Deepwarrior

Deepwarrior requested changes to this revision.Oct 24 2017, 3:07 AM

I have troubles when try to apply patch to origin/devs/ifurs/findevent branch.
But it applies onto master well.

Still present troubles with event information in panel:
single event has empty fields duration and end time:


long event hasn`t:

data/desktop/efl_profiling_viewer.desktop
3 ↗(On Diff #12678)

Not related to commit.

src/lib/ui.c
1662

Not related to commit.

This revision now requires changes to proceed.Oct 24 2017, 3:07 AM
i.furs updated this revision to Diff 12692.Oct 24 2017, 6:50 AM
i.furs marked an inline comment as done.
  • rebase
i.furs updated this revision to Diff 12693.Oct 24 2017, 6:54 AM
This comment was removed by i.furs.
i.furs updated this revision to Diff 12694.EditedOct 24 2017, 7:03 AM
  • changed parent commit
i.furs updated this revision to Diff 12695.Oct 24 2017, 7:37 AM
i.furs marked 2 inline comments as done.
  • fix fill duration and end time
i.furs updated this revision to Diff 12696.Oct 24 2017, 7:38 AM
This comment was removed by i.furs.
i.furs updated this revision to Diff 12697.Oct 24 2017, 7:40 AM
This comment was removed by i.furs.
Deepwarrior accepted this revision.Oct 25 2017, 3:45 AM
This revision is now accepted and ready to land.Oct 25 2017, 3:45 AM
NikaWhite accepted this revision.Oct 27 2017, 12:40 AM
NikaWhite awarded a token.
NikaWhite closed this revision.Oct 27 2017, 12:42 AM